@import "./src/components/Wrapper/index";

.callBtn {
  position: fixed;
  width: 110px;
  height: 110px;
  box-sizing: border-box;
  right: 10%;
  z-index: 100;
  bottom: 90px;

  &__call,
  &__callback {
    text-align: center;
    position: absolute;
    width: 200px;
    left: 50%;
    transform: translateX(-50%);
    color: $text-color;
    font-size: 1.1em;
    cursor: pointer;
    //display: none;
    animation: fade 1s;
  }

  &__call {
    top: 100%;

    &--title {
      display: block;
      padding: 5px;
      font-size: 1.2em;

      &:hover {
        text-decoration: underline;
      }
    }
  }

  &__callback {
    bottom: 100%;

    &--input {
      padding: 5px;
      overflow: hidden;
      border-radius: 10px;
      outline: none;
      text-indent: 10px;
      display: block;

      &::placeholder {
        padding: 5px;
        color: $text-color;
        opacity: .6;
      }
    }

    &--title {
      display: block;
      padding: 5px;
      font-size: 1.2em;

      &:hover {
        text-decoration: underline;
      }
    }
  }

  &__show {
    display: block;
  }

  &__error {
    text-align: center;
    color: red;
    white-space: nowrap;
    position: absolute;
  }
}

@keyframes fade {
  from {
    opacity: 0;
  }
  to {
    opacity: 1;
  }
}

@media (max-width: 767px){
  .callBtn{
    & input{
      background-color: rgba(0,0,0,.5);
      width: 200px;
    }
  }
}
